org.wso2.carbon.mdm.services.android.util

## Class AndroidConstants.DeviceConstants

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.util.AndroidConstants.DeviceConstants

- Enclosing class:
    AndroidConstants

      public final class AndroidConstants.DeviceConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEVICE_DATA`
    `static String` | `DEVICE_DESCRIPTION_KEY`
    `static String` | `DEVICE_FEATURES_KEY`
    `static String` | `DEVICE_ID_NOT_FOUND`
    `static String` | `DEVICE_ID_SERVICE_NOT_FOUND`
    `static String` | `DEVICE_MAC_KEY`
    `static String` | `DEVICE_OWNERSHIP_KEY`
    `static String` | `DEVICE_PROPERTIES_KEY`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_MAC_KEY

          public static final String DEVICE_MAC_KEY

      See Also:
        Constant Field Values

    - #### DEVICE_DESCRIPTION_KEY

          public static final String DEVICE_DESCRIPTION_KEY

      See Also:
        Constant Field Values

    - #### DEVICE_OWNERSHIP_KEY

          public static final String DEVICE_OWNERSHIP_KEY

      See Also:
        Constant Field Values

    - #### DEVICE_PROPERTIES_KEY

          public static final String DEVICE_PROPERTIES_KEY

      See Also:
        Constant Field Values

    - #### DEVICE_FEATURES_KEY

          public static final String DEVICE_FEATURES_KEY

      See Also:
        Constant Field Values

    - #### DEVICE_DATA

          public static final String DEVICE_DATA

      See Also:
        Constant Field Values

    - #### DEVICE_ID_NOT_FOUND

          public static final String DEVICE_ID_NOT_FOUND

      See Also:
        Constant Field Values

    - #### DEVICE_ID_SERVICE_NOT_FOUND

          public static final String DEVICE_ID_SERVICE_NOT_FOUND

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.